# TdApi.ClickAnimatedEmojiMessage (tdlight API 3.3.160 API)
declaration: package: it.tdlight.jni, class: TdApi, class: ClickAnimatedEmojiMessage

Package it.tdlight.jni

# Class TdApi.ClickAnimatedEmojiMessage

java.lang.Object
it.tdlight.jni.TdApi.Object
it.tdlight.jni.TdApi.Function
it.tdlight.jni.TdApi.ClickAnimatedEmojiMessage

Enclosing class:
  TdApi

    public static class TdApi.ClickAnimatedEmojiMessage
    extends TdApi.Function

Informs TDLib that a message with an animated emoji was clicked by the user. Returns a big animated sticker to be played or a 404 error if usual animation needs to be played.

Returns `Sticker`

## Field Summary

Fields
Modifier and Type | Field | Description
--- | --- | ---
`long` | `chatId` | Chat identifier of the message.
`static int` | `CONSTRUCTOR` |
`long` | `messageId` | Identifier of the clicked message.

## Constructor Summary

Constructors
Constructor | Description
--- | ---
`ClickAnimatedEmojiMessage()` | Informs TDLib that a message with an animated emoji was clicked by the user.
`ClickAnimatedEmojiMessage​(long chatId, long messageId)` | Informs TDLib that a message with an animated emoji was clicked by the user.
`ClickAnimatedEmojiMessage​(DataInput input)` |

## Method Summary

Modifier and Type | Method | Description
--- | --- | ---
`boolean` | `equals​(Object o)` |
`int` | `getConstructor()` |
`int` | `hashCode()` |
`void` | `serialize​(DataOutput output)` |

### Methods inherited from class it.tdlight.jni.TdApi.Function

`toString`

### Methods inherited from class it.tdlight.jni.TdApi.Object

`serialize`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

## Field Details

### chatId

public long chatId
Chat identifier of the message.

### messageId

public long messageId
Identifier of the clicked message.

### CONSTRUCTOR

public static final int CONSTRUCTOR

See Also:
  Constant Field Values

## Constructor Details

### ClickAnimatedEmojiMessage

public ClickAnimatedEmojiMessage()
Informs TDLib that a message with an animated emoji was clicked by the user. Returns a big animated sticker to be played or a 404 error if usual animation needs to be played.

Returns `Sticker`

### ClickAnimatedEmojiMessage

public ClickAnimatedEmojiMessage​(long chatId, long messageId)
Informs TDLib that a message with an animated emoji was clicked by the user. Returns a big animated sticker to be played or a 404 error if usual animation needs to be played.

Returns `Sticker`

Parameters:
  `chatId` - long Chat identifier of the message.
  `messageId` - long Identifier of the clicked message.

### ClickAnimatedEmojiMessage

public ClickAnimatedEmojiMessage​(DataInput input) throws IOException

Throws:
  `IOException`

## Method Details

### getConstructor

public int getConstructor()

Specified by:
  `getConstructor` in class `TdApi.Object`

### serialize

public void serialize​(DataOutput output) throws IOException

Specified by:
  `serialize` in class `TdApi.Object`
Throws:
  `IOException`

### equals

public boolean equals​(Object o)

Overrides:
  `equals` in class `Object`

### hashCode

public int hashCode()

Overrides:
  `hashCode` in class `Object`